<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section
 *
 * @package bootBiz
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <link rel="profile" href="http://gmpg.org/xfn/11">
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
  <?php wp_head(); ?>
</head>
<body <?php body_class(''); ?>>

  <header>
    <h1><a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>"><?php echo get_bloginfo('name'); ?></a></h1>
    <nav class="navbar-default navbar-inverse">
      <div class="container-fluid">
    
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#nav-menu-1">
            <span class="sr-only"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <div class="clearfix"></div>
        </div>
        <?php wp_nav_menu( array('theme_location' => 'mainmenu', 'menu_class' => 'nav navbar-nav', 'container_class' => 'navbar-collapse collapse navbar-right', 'container_id' => 'nav-menu-1', 'fallback_cb' => 'wp_bootstrap_navwalker::fallback', 'walker' => new wp_bootstrap_navwalker()) ); ?>
      </div>
      <?php if(get_bloginfo('description')!=""): ?>
      <div class="navbar-desc tagline"><?php bloginfo('description'); ?></div>
      <?php endif; ?>
    </nav>
  </header>

  <?php if ( is_front_page() && is_home() ):  ?>
    <?php if ( get_header_image() ) : ?>
    <div id="frontpage_only">
      <div id="slider" class="one-time">
        <div>
          <img class="img-responsive center-block" src="<?php header_image(); ?>">
        </div>
      </div><!-- /#slider -->
    </div><!-- /#frontpage_only -->
    <?php endif; ?>
  <?php endif; ?>

<?php if ( is_front_page() && is_home() && !is_paged() ):  ?>
  <div id="toppage_only" class="container">
  
<?php if( get_theme_mod('welcome_onoff')): ?>
    <?php 
      if( get_theme_mod('aboutpage-setting')) { 
      $queryabout = new WP_query('page_id='.get_theme_mod('aboutpage-setting' ,true)); 
      while( $queryabout->have_posts() ) : $queryabout->the_post();
    ?>
    <section>
    <h2 class="text-center"><?php echo get_theme_mod('welcome_title'); ?></h2>
    <div class="row">
      <div class="col-md-6"> 
      <?php if ( current_user_can( 'edit_theme_options' ) ) { ?>
        <?php the_post_thumbnail( 'full', array( 'class' => 'img-responsive center-block' ) ); ?>
      <?php } ?>
      </div>
      <div class="our_work_desc col-md-6">
        <?php the_content(); ?>
      <?php endwhile; } else { ?>
      </div>
    <?php } ?>
    </div>
    </section> 
<?php endif; ?>
        

  </div>
<?php endif; ?>

